com.impinj.stp

## Interface StpApi.ReportConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.ReportConfig, StpApi.ReportConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.ReportConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.DeviceEventConfig` | `getDeviceEventConfig()`
    `StpApi.DeviceEventConfigOrBuilder` | `getDeviceEventConfigOrBuilder()`
    `StpApi.OperationSummaryReportConfig` | `getOperationSummaryReportConfig()`
    `StpApi.OperationSummaryReportConfigOrBuilder` | `getOperationSummaryReportConfigOrBuilder()`
    `StpApi.TagOperationReportConfig` | `getTagOperationReportConfig()`
    `StpApi.TagOperationReportConfigOrBuilder` | `getTagOperationReportConfigOrBuilder()`
    `boolean` | `hasDeviceEventConfig()`
    `boolean` | `hasOperationSummaryReportConfig()`
    `boolean` | `hasTagOperationReportConfig()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasDeviceEventConfig

          boolean hasDeviceEventConfig()

    - #### getDeviceEventConfig

          StpApi.DeviceEventConfig getDeviceEventConfig()

    - #### getDeviceEventConfigOrBuilder

          StpApi.DeviceEventConfigOrBuilder getDeviceEventConfigOrBuilder()

    - #### hasOperationSummaryReportConfig

          boolean hasOperationSummaryReportConfig()

    - #### getOperationSummaryReportConfig

          StpApi.OperationSummaryReportConfig getOperationSummaryReportConfig()

    - #### getOperationSummaryReportConfigOrBuilder

          StpApi.OperationSummaryReportConfigOrBuilder getOperationSummaryReportConfigOrBuilder()

    - #### hasTagOperationReportConfig

          boolean hasTagOperationReportConfig()

    - #### getTagOperationReportConfig

          StpApi.TagOperationReportConfig getTagOperationReportConfig()

    - #### getTagOperationReportConfigOrBuilder

          StpApi.TagOperationReportConfigOrBuilder getTagOperationReportConfigOrBuilder()